// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

flareshader-wide
{
	{
		clampmap textures/flares/wide.tga
		blendfunc add
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/acc_dm3/cop
{
	surfaceparm metalsteps
	{
		map textures/acc_dm3/cop.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/acc_dm3/grind
{
	qer_trans 0.5
	q3map_lightimage textures/acc_dm3/grind.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull none
	{
		map textures/acc_dm3/grind.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/hfloor3
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_floor/hfloor3.tga
		rgbgen identity
	}
}

textures/base_light/ceil1_22a
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc add
	}
}

textures/base_light/ceil1_30
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/dark_tin2
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/base_trim/dark_tin2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bubctf1/e8_jumppad02
{
	q3map_lightimage textures/bubctf1/e8_jumppad02_fx.tga
	polygonoffset
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/bubctf1/e8_jumppad02.tga
		rgbgen identity
	}
	{
		map textures/bubctf1/e8_jumppad02_fx.tga
		blendfunc gl_one gl_one
		tcmod rotate 360
		tcmod stretch sin 1 0.8 1 0.4
	}
	{
		map textures/bubctf1/e8_jumppad02.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/bubctf1/e8_jumppad02r
{
	q3map_lightimage textures/bubctf1/e8_jumppad02_fxr.tga
	polygonoffset
	surfaceparm nodamage
	q3map_surfacelight 200
	{
		map textures/bubctf1/e8_jumppad02r.tga
		rgbgen identity
	}
	{
		map textures/bubctf1/e8_jumppad02_fxr.tga
		blendfunc gl_one gl_one
		tcmod rotate 360
		tcmod stretch sin 1 0.8 1 0.4
	}
	{
		map textures/bubctf1/e8_jumppad02r.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/bubctf1/e8_launchpad1
{
	q3map_lightimage textures/bubctf1/e8_launchpad1.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/bubctf1/e8_launchpad1_fx.tga
		rgbgen identity
		tcmod scroll 0 3
	}
	{
		map textures/bubctf1/e8_launchpad1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map textures/bubctf1/e8_launchpad1.blend.tga
		blendfunc add
		rgbgen wave triangle 0.2 2 1 2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/bubctf1/e8_launchpad1r
{
	q3map_lightimage textures/bubctf1/e8_launchpad1.blendr.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/bubctf1/e8_launchpad1_fxr.tga
		rgbgen identity
		tcmod scroll 0 3
	}
	{
		map textures/bubctf1/e8_launchpad1r.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map textures/bubctf1/e8_launchpad1.blendr.tga
		blendfunc add
		rgbgen wave triangle 0.2 2 1 2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf2/blueteam01
{
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/ctf2/blueteam01.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin .2 .5 0 .2
	}
}

textures/ctf2/redteam01
{
	cull none
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/ctf2/redteam01.tga
		blendfunc gl_src_alpha gl_one
		rgbgen wave sin .2 .5 0 .2
	}
}

textures/ctf/blue_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		clampmap textures/ctf/blue_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/blue_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ctf/red_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		clampmap textures/ctf/red_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/red_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/ctf_unified/monologo_flash_blue
{
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/ctf_unified/floor_monologo_blue.tga
		blendfunc add
		rgbgen wave sin 1 .5 0 .2
	}
}

textures/ctf_unified/monologo_flash_red
{
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/ctf_unified/floor_monologo_red.tga
		blendfunc add
		rgbgen wave sin 1 .5 0 .2
	}
}

textures/dsi/dsiglass
{
	qer_editorimage textures/dsi/dsiglass2.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/dsi/dsiglass2.tga
		blendfunc add
		tcgen environment
		tcmod scale 4 4
	}
}

textures/evil8_floor/e8clangfloor04_red
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/evil8_floor/e8clangfloor04_red.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/evil8_lights/e8tinylight
{
	qer_editorimage textures/evil8_lights/e8tinylight.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/evil8_lights/e8tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/evil8_lights/e8tinylightblue
{
	qer_editorimage textures/evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/evil8_lights/e8tinylightblue.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/evil8_wall/e8crete03c
{
	{
		map textures/evil8_wall/e8crete03c.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_floor/largerblock3b3dim
{
	{
		map textures/gothic_floor/largerblock3b3dim.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 12 12
		detail
	}
}

textures/liquids/hydrowater
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	fogparms ( 0.215686 0.278431 0.333333 ) 1024
	{
		map textures/liquids/pool2.tga
		blendfunc add
		tcmod scroll 0.05 0.05
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		rgbgen const ( 0.501961 0.501961 0.501961 )
		tcmod scroll -0.03 -0.06
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		rgbgen const ( 0.501961 0.501961 0.501961 )
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/proto2/bluea_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm pointlight
	polygonoffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/proto2/bluea_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/proto2/reda_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm pointlight
	polygonoffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/proto2/reda_dcl.tga
		blendfunc add
		rgbgen vertex
	}
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/beam_blue
{
	qer_editorimage textures/sfx/beam_blue4.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_blue4.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/beam_red
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_red.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/skies/industrysky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 256
	q3map_surfacelight 400
	q3map_globaltexture
	q3map_sun 0.882353 0.921569 0.941177 150 45 55
	skyparms env/dsp3dm1/bloody-marvelous512 - -
}

